function [conditions, maxLength] = displayConditions(conditionResults)
% displayConditions: Display / extract available condition names 
% (and optionally extract the maximum microtubule length)
%
%   Usage:
%   [conditions, maxLength] = displayConditions(conditionResults)
% 
%   conditionResults is the structure generated by lengthAnalysis.m (binnedData.mat)
%   conditions is a cell array of all condition names
%   maxLength is the maximum mean length in any condition

% Copyright (c) 2022 ETH Zurich, Lukas Widmer (l.widmer@gmail.com)
% Computational Systems Biology group, D-BSSE
%
% This software is freely available under the MIT license
% See the LICENSE file or https://opensource.org/licenses/MIT for further information.

    conditions = {};

    maxLength = 0;
    for currentConditionIndex = 1:length(conditionResults)
        c = conditionResults{currentConditionIndex};
        conditions{end+1} = c.condition;
        meanLength = mean(c.lengthsUM); 
        if meanLength > maxLength
            maxLength = meanLength;
        end
        fprintf('%2i: %s (n = %i)\n', currentConditionIndex, c.condition, size(c.lengths, 1));
    end
end